%def_without test
%define module_version 0.05
%define module_name Test-SMTP
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Data/Dumper.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/Socket.pm) perl(IO/Socket/SSL.pm) perl(Net/SMTP_auth.pm) perl(Net/Server/Mail.pm) perl(Net/Server/Mail/ESMTP.pm) perl(Net/Server/Mail/ESMTP/AUTH.pm) perl(Net/Server/Mail/ESMTP/Extension.pm) perl(Sys/Hostname.pm) perl(Test/Builder/Module.pm) perl(Test/Builder/Tester.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Simple.pm) perl(base.pm) perl(lib.pm) perl(strict.pm) perl(vars.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Module to write SMTP Server tests
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BE/BENNING/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module is designed for easily building tests for SMTP servers.

Test::SMTP is a subclass of Net::SMTP_auth, that is a subclass of Net::SMTP, 
that in turn is a subclass of Net::Cmd and IO::Socket::INET. Don't be too confident 
of it beeing a Net::SMTP_auth subclass for too much time, though (v 0.03 changed from
Net::SMTP to Net::SMTP_auth so you can control authentication tests better). Compatibility
will always try to be kept so you can still call the subclass methods.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Todo README Changes LICENSE examples
%perl_vendor_privlib/T*

%changelog
* Mon Jul 25 2016 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- regenerated from template by package builder

* Tue Apr 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

